Summary:	Shows the periodic system of the elements
Name:		kalzium
Version:	17.08.2
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://edu.kde.org/kalzium
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	facile
BuildRequires:	ocaml
BuildRequires:	kf5archive-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5khtml-devel
BuildRequires:	kf5newstuff-devel
BuildRequires:	kf5parts-devel
BuildRequires:	kf5plotting-devel
BuildRequires:	kf5solid-devel
BuildRequires:	kf5unitconversion-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	pkgconfig(eigen3)
BuildRequires:	pkgconfig(openbabel-2.0)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	chemical-mime-data
Requires:	openbabel
Requires:	chemical-mime-data
Requires:	ocaml
Conflicts:	kde5-l10n < 17.04
Obsoletes:	plasma-applet-didyouknow < 16.12
Obsoletes:	plasma-engine-kalzium < 16.12

%description
Kalzium is an application which will show you some information about the
periodic system of the elements. Therefore you could use it as an
information database.

%files -f %{name}.lang
%doc COPYING COPYING.LIB COPYING.DOC
%{_kde5_applicationsdir}/org.kde.kalzium.desktop
%{_kde5_applicationsdir}/org.kde.kalzium_cml.desktop
%{_kde5_bindir}/kalzium
%{_kde5_datadir}/config.kcfg/kalzium.kcfg
%{_kde5_datadir}/kalzium
%{_kde5_datadir}/libkdeedu/data/elements.xml
%{_kde5_datadir}/libkdeedu/data/isotopes.xml
%{_kde5_datadir}/libkdeedu/data/spectra.xml
%{_kde5_datadir}/libkdeedu/data/symbols.csv
%{_kde5_datadir}/libkdeedu/data/symbols2.csv
%{_kde5_iconsdir}/hicolor/*/apps/kalzium.*
%{_kde5_mandir}/man1/kalzium.1*
%{_kde5_sysconfdir}/xdg/kalzium.knsrc
%{_kde5_xmlguidir}/kalzium/kalziumui.rc
%{_appdatadir}/org.kde.kalzium.appdata.xml

#----------------------------------------------------------------------------

%define science_major 5
%define libscience %mklibname science %{science_major}

%package -n %{libscience}
Summary:	Runtime library for KDE Education Application
Group:		System/Libraries

%description -n %{libscience}
libscience is a library that provides classes for chemical data.This library is
mainly used by kalzium.

%files -n %{libscience}
%{_kde5_libdir}/libscience.so.%{science_major}*

#-----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	pkgconfig(eigen3)
Requires:	pkgconfig(openbabel-2.0)
Requires:	%{libscience} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Conflicts:	%{name}-devel < 16.12
Obsoletes:	%{name}-devel < 16.12

%description -n %{devname}
Files needed to build applications based on %{name}.

%files -n %{devname}
%{_kde5_includedir}/libkdeedu/*.h
%{_kde5_libdir}/libscience.so

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

# Not ported yet
rm -f %{buildroot}%{_kde5_localedir}/*/LC_MESSAGES/plasma_applet*
rm -f %{buildroot}%{_kde5_localedir}/*/LC_MESSAGES/plasma_engine*

# To avoid conflicts with kde-l10n
rm -rf %{buildroot}%{_kde5_mandir}/*/man1/*

%find_lang %{name} --with-kde --with-html
%kf5locales_fix %{name}.lang


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (c1f48e8) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.3-1
- (1da00a4) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.04.2-1
- (4106834) Merge locales from kde5-l10n
- (Andrey Bondrov: 1d85f75) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.3-1
- (2c9d19c) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.2-1
- (86dacbe) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-2
- (fd6f14d) MassBuild#1230: Increase release tag

* Tue Jan 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.12.1-1
- (3131c6e) New version 16.12.1
- (3131c6e) Switch to KF5
- (3131c6e) Build without avogadro support for now

* Mon Oct 31 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.08.2-1
- (531b4d9) Upload sources
- (Andrey Bondrov: cac3392) New version 16.08.2
- (Andrey Bondrov: cac3392) No longer requires eigen2
- (Andrey Bondrov: cac3392) Update files

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-2
- (a0c14d5) MassBuild#1169: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.14.3-1
- (dbf6b6e) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.3-1
- (aee9529) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 4.13.2-2
- (0aff90d) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.13.2-1
- (4aca8f5) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.4-1
- (67036c6) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.12.3-2
- (009552a) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.4-1
- (690a761) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.3-1
- (49dbbae) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.11.2-1
- (8f8d8ba) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.5-1
- (3108db1) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.4-1
- (7bb9d1c) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.10.3-1
- (d5b67d3) LOG New version 4.10.3 (sync with Cooker)

* Sun Apr 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.5-2
- (140837b) LOG Rebuild for new avogadro

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.5-1
- (667ffbd) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.4-1
- (9d5e0bd) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.3-1
- (fc90996) LOG New version 4.9.3

* Fri Oct 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.2-1
- (b9e8b3a) New version 4.9.2

* Tue Sep 11 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.1-1
- (7ad85fe) New version 4.9.1

* Tue Aug 14 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 4.9.0-1
- (bfcb76a) New version 4.9.0


